
Packaging - Bug #16553

puppet-agent-oauth Jessie package is missing --local

09/14/2016 06:28 AM - Charles Williams

Status: Closed   

Priority: Normal   

Assignee:    

Category: Debian/Ubuntu   

Target version: 1.13.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.12.2

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman-p

ackaging/pull/1343

  

Description

when installing the puppet-agent-oauth package on Debian Jessie there is a missing "--local" option missing in the postint script

which causes the package install to hang and thus the foreman-installer hangs.

Associated revisions

Revision ad66b950 - 09/15/2016 04:59 AM - Michael Moll 

fixes #16553 use --local for gem install

Revision 85b73bc4 - 09/15/2016 05:32 AM - Dominic Cleal

fixes #16553 - use --local for gem install

History

#1 - 09/14/2016 06:30 AM - Charles Williams

Workaround that I used was to just abort the install then modify /var/lib/dpkg/info/puppet-agent-oauth.postinst to add "--local" after the "install" option

and then "dpkg --configure -a"

#2 - 09/14/2016 07:08 AM - Dominic Cleal

- Project changed from Foreman to Packaging

- Category changed from Packaging to Debian/Ubuntu

#3 - 09/14/2016 01:33 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Anonymous

- Pull request https://github.com/theforeman/foreman-packaging/pull/1343 added

#4 - 09/14/2016 01:34 PM - Anonymous

- Assignee deleted (Anonymous)

maybe this is 1.13-worthy?

#5 - 09/14/2016 01:35 PM - Anonymous

- Assignee set to Anonymous

#6 - 09/15/2016 05:04 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset foreman-packaging|ad66b9505006498ad1774dbec79e80f602fb57ee.
https://projects.theforeman.org/projects/rpms/repository/foreman-packaging/revisions/ad66b9505006498ad1774dbec79e80f602fb57ee


#7 - 09/15/2016 07:03 AM - Dominic Cleal

- translation missing: en.field_release set to 190
